List promotion subscriber activity
curl --request GET \
--url https://api.ofauth.com/v2/access/subscribers/activity/promotions/:promotionId \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'import requests
url = "https://api.ofauth.com/v2/access/subscribers/activity/promotions/:promotionId"
headers = {
"apiKey": "<api-key>",
"x-connection-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', 'x-connection-id': '<api-key>'}};
fetch('https://api.ofauth.com/v2/access/subscribers/activity/promotions/:promotionId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"lastSeen": "<string>",
"subscription": {
"isActive": true,
"isExpired": true,
"subscribedAt": "<string>",
"expiresAt": "<string>",
"renewedAt": "<string>",
"price": 123,
"regularPrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"discountStartedAt": "<string>",
"discountFinishedAt": "<string>",
"history": [
{
"id": 123,
"startDate": "<string>",
"expireDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"type": "<string>",
"action": "<string>",
"isCurrent": true
}
]
},
"spending": {
"total": 123,
"tips": 123,
"subscriptions": 123,
"messages": 123,
"posts": 123,
"streams": 123
},
"isRestricted": true,
"isBlocked": true,
"capabilities": {
"canRestrict": true,
"canBlock": true,
"canReport": true,
"canUnsubscribe": true,
"canReceiveMessages": true,
"canSendTrial": true
},
"lists": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"hasMore": true,
"nextOffset": 123
}Activity
List promotion subscriber activity
List subscribers associated with one subscription promotion.
Permission Required: subscribers:read
GET
/
v2
/
access
/
subscribers
/
activity
/
promotions
/
:promotionId
List promotion subscriber activity
Authorizations
Requires a connection via the x-connection-id header.
Path Parameters
Minimum string length:
1Query Parameters
Number of items to return (1-20, default: 10)
Required range:
1 <= x <= 20Number of items to skip (default: 0)
Required range:
x >= 0Was this page helpful?
⌘I